Package com.complexible.stardog

# Interface QueryManager

public interface QueryManager
Provides basic query management functions such as listing all the running queries and killing a running query on-demand.

Author:
  Evren Sirin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NO_ID`
  Constant to indicate that the query has no client-specified ID, the server will auto-assign.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<QueryInfo>`
  `getAllQueries()`
  Returns a list of all the running queries.
  `QueryInfo`
  `getQuery(String theID)`
  Returns info for a running query with the given ID.
  `default QueryInfo`
  `getQuery(String theID, boolean verbose)`
  `void`
  `killQuery(String theID)`
  Kills the running query identified by the given ID.

- ## Field Details

  - ### NO_ID

    static final String NO_ID
    Constant to indicate that the query has no client-specified ID, the server will auto-assign.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAllQueries

    Collection<QueryInfo> getAllQueries() throws StardogException
    Returns a list of all the running queries. Super users are allowed to see all the running queries but regular users can only see the queries they are executing. The result will be empty (not null) if there are no running queries.
    Throws:
      `StardogException`

  - ### getQuery

    QueryInfo getQuery(String theID) throws StardogException
    Returns info for a running query with the given ID. Super users are allowed to see all the running queries but regular users can only see the queries they are executing. If the current user is not allowed to see the query with the given ID a security exception will be thrown.
    Throws:
      `StardogException`

  - ### getQuery

    default QueryInfo getQuery(String theID, boolean verbose) throws StardogException
    Throws:
      `StardogException`

  - ### killQuery

    void killQuery(String theID) throws StardogException
    Kills the running query identified by the given ID. Super users are allowed to see kill any running query but regular users can only kill the queries they are executing.
    Throws:
      `StardogException` - if there is no running query with the given ID, the authenticated user does not have permission to kill the query, or or an error occurs trying to kill the query